
Ruby - Bug #13655

external encoding named "-" (doc issue or…?)

06/13/2017 04:06 PM - shyouhei (Shyouhei Urabe)

Status: Closed   

Priority: Normal   

Assignee: stomar (Marcus Stollsteimer)   

Target version: 2.5   

ruby -v: ruby 2.5.0dev (2017-06-09 trunk 59055)

[x86_64-darwin15]

Backport: 2.2: REQUIRED, 2.3: DONE, 2.4: DONE

Description

IO.new's document explicitly states that it accepts "-" as external encoding:

https://github.com/ruby/ruby/blob/d0015e4ac6b812ea1681b1f5fa86fbab52a58960/io.c#L7790

which is not true.

% ruby -ve 'IO.new(0, external_encoding: "-")'

ruby 2.5.0dev (2017-06-09 trunk 59055) [x86_64-darwin15]

Traceback (most recent call last):

        2: from -e:1:in `<main>'

        1: from -e:1:in `new'

-e:1:in `initialize': unknown encoding name - - (ArgumentError)

Associated revisions

Revision 9fa7722bbc775aea82b5cef529af707da26be223 - 12/15/2017 08:26 AM - naruse (Yui NARUSE)

IO.new doesn't recive "-" as external_encoding [Bug #13655]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@61278 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 9fa7722b - 12/15/2017 08:26 AM - naruse (Yui NARUSE)

IO.new doesn't recive "-" as external_encoding [Bug #13655]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@61278 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision a9419fbd4fe597a9ef41621d16664a659544ed76 - 12/15/2017 11:52 AM - znz (Kazuhiro NISHIYAMA)

[DOC] IO.new accepts external_encoding

Revert part of r61278 [Bug #13655]

[ci skip]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@61281 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision a9419fbd - 12/15/2017 11:52 AM - znz (Kazuhiro NISHIYAMA)

[DOC] IO.new accepts external_encoding

Revert part of r61278 [Bug #13655]

[ci skip]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@61281 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision cc163957a45cc9cadb81d34b630c9f7de79c7892 - 03/19/2018 04:27 PM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 61278,61281: [Backport #13655]

    IO.new doesn't recive "-" as external_encoding [Bug #13655]

    [DOC] `IO.new` accepts `external_encoding`

    Revert part of r61278 [Bug #13655]

    [ci skip]

07/30/2025 1/3

https://github.com/ruby/ruby/blob/d0015e4ac6b812ea1681b1f5fa86fbab52a58960/io.c#L7790


 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_4@62846 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision cc163957 - 03/19/2018 04:27 PM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 61278,61281: [Backport #13655]

    IO.new doesn't recive "-" as external_encoding [Bug #13655]

    [DOC] `IO.new` accepts `external_encoding`

    Revert part of r61278 [Bug #13655]

    [ci skip]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_4@62846 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision b24443d37d98eb52ffccbe68a0a54380a5171c32 - 03/28/2018 04:45 AM - U.Nakamura 

merge revision(s) 61278,61281: [Backport #13655]

    IO.new doesn't recive "-" as external_encoding [Bug #13655]

    [DOC] `IO.new` accepts `external_encoding`

    Revert part of r61278 [Bug #13655]

    [ci skip]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_3@62937 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision b24443d3 - 03/28/2018 04:45 AM - U.Nakamura 

merge revision(s) 61278,61281: [Backport #13655]

    IO.new doesn't recive "-" as external_encoding [Bug #13655]

    [DOC] `IO.new` accepts `external_encoding`

    Revert part of r61278 [Bug #13655]

    [ci skip]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_3@62937 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 06/14/2017 05:23 AM - nobu (Nobuyoshi Nakada)

I think it a doc issue.

#2 - 07/15/2017 02:24 AM - shyouhei (Shyouhei Urabe)

- Status changed from Open to Assigned

- Assignee set to stomar (Marcus Stollsteimer)

We looked at this issue at yesterday's developer meeting and none of attendees remembered there has been any plans to have this feature.  It

seems to be a doc issue.  Please delete this part.

#3 - 12/15/2017 08:26 AM - naruse (Yui NARUSE)

- Status changed from Assigned to Closed

Applied in changeset trunk|r61278.

IO.new doesn't recive "-" as external_encoding [Bug #13655]

#4 - 03/19/2018 04:27 PM - nagachika (Tomoyuki Chikanaga)

- Backport changed from 2.2: REQUIRED, 2.3: REQUIRED, 2.4: REQUIRED to 2.2: REQUIRED, 2.3: REQUIRED, 2.4: DONE

ruby_2_4 r62846 merged revision(s) 61278,61281.

#5 - 03/28/2018 04:45 AM - usa (Usaku NAKAMURA)

- Backport changed from 2.2: REQUIRED, 2.3: REQUIRED, 2.4: DONE to 2.2: REQUIRED, 2.3: DONE, 2.4: DONE
ruby_2_3 r62937 merged revision(s) 61278,61281.
